package com.yeejoin.amos.file.dto;

import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;



@ApiModel("文档的pdf和img信息")
public class AllPageInfo {

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("文档Id")
    private String documentId;

    @ApiModelProperty("每一页的pdf和img信息")
    private List<PageInfo> pageInfoList = new ArrayList<>();

    public String getId() {
        return id;
    }

    public AllPageInfo setId(String id) {
        this.id = id;
        return this;
    }

    public String getDocumentId() {
		return documentId;
	}

	public void setDocumentId(String documentId) {
		this.documentId = documentId;
	}

	public List<PageInfo> getPageInfoList() {
        return pageInfoList;
    }

    public void setPageInfoList(List<PageInfo> pageInfoList) {
        this.pageInfoList = pageInfoList;
    }
}
